=== modified file 'NEWS'
--- NEWS	2007-09-02 22:38:54 +0000
+++ NEWS	2007-09-03 02:37:35 +0000
@@ -103,12 +103,12 @@
      only a small increase in space used (and in some cases a reduction in
      space). (Robert Collins)
 
-    * Initial commit no longer SHAs files twice and now reuses the path
-      rather than looking it up again, making it faster.
-      (Ian Clatworthy)
+   * Initial commit no longer SHAs files twice and now reuses the path
+     rather than looking it up again, making it faster.
+     (Ian Clatworthy)
 
-    * New option ``-c``/``--change`` for ``diff`` and ``status`` to show
-      changes in one revision.  (Lukáš Lalinský)
+   * New option ``-c``/``--change`` for ``diff`` and ``status`` to show
+     changes in one revision.  (Lukáš Lalinský)
 
   API BREAKS:
 
@@ -132,6 +132,9 @@
    * NULL_REVISION is returned to indicate the null revision, not None.
      (Aaron Bentley)
 
+   * Use UTF-8 encoded StringIO for log tests to avoid failures on
+     non-ASCII committer names.  (Lukáš Lalinský)
+
   INTERNALS:
 
    * ``bzrlib.plugin.all_plugins`` has been deprecated in favour of
@@ -151,36 +154,31 @@
      stack to the log, which can be useful for gathering debug details.
      (Robert Collins)
 
-    * ``bzrlib.pack.ContainerWriter`` now tracks how many records have been
-      added via a public attribute records_written. (Robert Collins)
-
-    * New method ``bzrlib.transport.Transport.get_recommended_page_size``.
-      This provides a hint to users of transports as to the reasonable
-      minimum data to read. In principle this can take latency and
-      bandwidth into account on a per-connection basis, but for now it
-      just has hard coded values based on the url. (e.g. http:// has a large
-      page size, file:// has a small one.) (Robert Collins)
-
-    * New method on ``bzrlib.transport.Transport`` ``open_write_stream`` allows
-      incremental addition of data to a file without requiring that all the
-      data be buffered in memory. (Robert Collins)
-
-    * New methods on ``bzrlib.knit.KnitVersionedFile``:
-      ``get_data_stream(versions)``, ``insert_data_stream(stream)`` and
-      ``get_format_signature()``.  These provide some infrastructure for
-      efficiently streaming the knit data for a set of versions over the smart
-      protocol.
-
-    * Knits with no annotation cache still produce correct annotations.
-      (Aaron Bentley)
-
-  TESTING:
-
-    * Use UTF-8 encoded StringIO for log tests to avoid failures on
-      non-ASCII committer names.  (Lukáš Lalinský)
-
-
-bzr 0.90 2007-08-??
+   * ``bzrlib.pack.ContainerWriter`` now tracks how many records have been
+     added via a public attribute records_written. (Robert Collins)
+
+   * New method ``bzrlib.transport.Transport.get_recommended_page_size``.
+     This provides a hint to users of transports as to the reasonable
+     minimum data to read. In principle this can take latency and
+     bandwidth into account on a per-connection basis, but for now it
+     just has hard coded values based on the url. (e.g. http:// has a large
+     page size, file:// has a small one.) (Robert Collins)
+
+   * New method on ``bzrlib.transport.Transport`` ``open_write_stream`` allows
+     incremental addition of data to a file without requiring that all the
+     data be buffered in memory. (Robert Collins)
+
+   * New methods on ``bzrlib.knit.KnitVersionedFile``:
+     ``get_data_stream(versions)``, ``insert_data_stream(stream)`` and
+     ``get_format_signature()``.  These provide some infrastructure for
+     efficiently streaming the knit data for a set of versions over the smart
+     protocol.
+
+   * Knits with no annotation cache still produce correct annotations.
+     (Aaron Bentley)
+
+
+bzr 0.90 2007-08-28
 ===================
 
   IMPROVEMENTS:

=== modified file 'doc/developers/update.txt'
--- doc/developers/update.txt	2007-08-25 17:37:24 +0000
+++ doc/developers/update.txt	2007-09-03 02:37:35 +0000
@@ -20,7 +20,7 @@
 ====================================
 1) Need to move wt.last_rev (O(1))
 2) apply delta from base to new rev (O(changes))
-applying changes to files is approx (O(lines-in-files ^ 2))
+   applying changes to files is approx (O(lines-in-files ^ 2))
 3) update meta-info (executable bits, etc) about modified files (O(changes))
 
 2/3 could be concurrent (but that may not necessarily be faster)
@@ -46,15 +46,15 @@
 1) open working tree, check latest revision
 2) open working tree branch, check latest revision
 3) mismatch => update wt => wt.b.lastrev
-apply delta to tree O(changed file size)
----- conflicts
-stop on conflicts
-stop always -> inform user they need to repeat (why not?, GFD)
+   apply delta to tree O(changed file size)
+   ---- conflicts
+   stop on conflicts
+   stop always -> inform user they need to repeat (why not?, GFD)
 4) pull new revs M => L O(newrevs)
 5) apply delta to wt
-local committed changes become a pending merge
-local uncommitted stay uncommitted
-local pending merges are retained (should be gc'd)
+   local committed changes become a pending merge
+   local uncommitted stay uncommitted
+   local pending merges are retained (should be gc'd)
 
 offtopic:
 should bzr update report where the source is ?

